#! /usr/bin/perl
#
#--------------------------------------------------------------
# This code is used for combining predictions and labels for each residue
# Before running this code, you need install perl
# In our experiment, perl V5.18.2 64bit is tested
#--------------------------------------------------------------
# Written by Jian Zhang (Email:jzhang6@vcu.edu)
# Please contact jzhang6@vcu.edu if you have any problems
#--------------------------------------------------------------
open LIST,"Random100.list" or die "read error!\n";
chomp(@list=<LIST>);
close LIST;

foreach $list(@list){
	
	open READ,"RandomPick100/$list.txt";
	chomp(@array=<READ>);
	close READ;

	@callen=split(//,@array[1]);
	$length=0;
	for($iteration=0;$iteration<@callen;$iteration++){
		if(@callen[$iteration] =~ /[A-Z]/){
			$length=$length+1;
		}
	}
	
	@RNAbind=split(//,@array[3]);
	@pred=split(/,/,@array[7]);
	open WRITE,">>RNABindR.txt";
	for($cn=0;$cn<$length;$cn++){
		if(@RNAbind[$cn] =~ /[A-Z]/){
			print WRITE "1 ".@pred[$cn]."\n";
		}else{
			print WRITE "0 ".@pred[$cn]."\n";
		}
	}
	close WRITE;
}

